Skip to main content
POST
/
api
/
management
/
dynamic-forms
/
get-form-answers
Consultar respostas de formulário dinâmico
curl --request POST \
  --url https://api.olie.ai/api/management/dynamic-forms/get-form-answers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "father_class": "<string>",
  "father_id": "<uuid>",
  "pivot_class": "<string>",
  "form_id": "<integer>",
  "related_model_attribute_id": "<uuid>",
  "id": "<string>",
  "project_funnel_id": "<integer>",
  "project_id": "<uuid>",
  "funnel_step_id": "<integer>"
}
'
{
  "response": "<boolean>",
  "answers": [
    {
      "id": "<integer>",
      "label": "<string>",
      "answer": "<string>",
      "model": "<string>",
      "answered_by": "<uuid>",
      "updated_at": "<dateTime>"
    },
    {
      "id": "<integer>",
      "label": "<string>",
      "answer": "<string>",
      "model": "<string>",
      "answered_by": "<uuid>",
      "updated_at": "<dateTime>"
    }
  ],
  "last_updated_at": "<dateTime>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.olie.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Objeto que descreve o alvo do formulário dinâmico

pivot_class
string
required
Example:

"App\\Models\\Project"

form_id
integer
required
Example:

43

father_class
string
required
Example:

"project"

father_id
string<uuid>
required
Example:

"9ee8c42a-909e-4502-a1e9-4431245c5455"

Necessário quando pivot_class é 'Project'.

Example:

"9ee8c42a-909e-4502-a1e9-4431245c5455"

id
string

Necessário quando pivot_class é 'Project' ou 'ProjectLooseForm'.

Example:

"9ee8c42a-909e-4502-a1e9-4431245c5455"

project_funnel_id
integer

Necessário quando pivot_class é 'ProjectFunnelAssignment'.

Example:

129

project_id
string<uuid>

Necessário quando pivot_class é 'ProjectFunnelAssignment', 'ProjectLooseForm' ou 'ProjectStepForm'.

Example:

"9ee8c42a-909e-4502-a1e9-4431245c5455"

funnel_step_id
integer

Necessário quando pivot_class é 'ProjectStepForm'.

Example:

402

Response

Respostas do formulário retornadas com sucesso

response
boolean
Example:

true

answers
object[]
last_updated_at
string<date-time>
Example:

"2025-05-15T13:25:01.000000Z"